Loading...
Searching...
No Matches
ntupel.h File Reference
`#include "misc/auxiliary.h"`

Go to the source code of this file.

## Functions

BOOLEAN | nnInitChar (coeffs r, void *)
| Initialize r.

## Function Documentation

## nnInitChar()

BOOLEAN nnInitChar | ( | coeffs | r,
|  | void * | p )

Initialize r.

Definition at line 616 of file ntupel.cc.

{
n->data=p;
n->type=n_nTupel;
n->is_field=TRUE;
n->is_domain=TRUE;
n->ch = 0;
n->cfCoeffString = nnCoeffString;
n->cfCoeffName = nnCoeffName;
n->cfInit = nnInit;
n->cfDelete = nnDelete;
n->cfInt = nnInt;
n->cfAdd = nnAdd;
n->cfInpAdd = nnInpAdd;
n->cfSub = nnSub;
n->cfMult = nnMult;
n->cfInpMult = nnInpMult;
n->cfDiv = nnDiv;
n->cfExactDiv= nnDiv;
n->cfInpNeg = nnInpNeg;
n->cfInvers= nnInvers;
n->cfCopy = nnCopy;
n->cfGreater = nnGreater;
n->cfEqual = nnEqual;
n->cfIsZero = nnIsZero;
n->cfIsOne = nnIsOne;
n->cfIsMOne = nnIsMOne;
n->cfGreaterZero = nnGreaterZero;
n->cfWriteShort = nnWriteShort;
n->cfWriteLong = nnWriteLong;
n->cfRead = nnRead;
//n->cfPower = nnPower;
n->cfSetMap = nnSetMap;
n->cfCoeffWrite = nnCoeffWrite;
n->cfChineseRemainder=nnChineseRemainder;
n->cfSize = nnSize;
#ifdef LDEBUG
n->cfDBTest=nnDBTest;
#endif
//n->nCoeffIsEqual = ndCoeffIsEqual;
return FALSE;
}
TRUE
#define TRUE
Definition auxiliary.h:101
FALSE
#define FALSE
Definition auxiliary.h:97
p
int p
Definition cfModGcd.cc:4086
n_nTupel
@ n_nTupel
n-tupel of cf: ZZ/p1,... ZZ/pn, R, long_R
Definition coeffs.h:42
nnIsZero
static BOOLEAN nnIsZero(number a, const coeffs r)
Definition ntupel.cc:221
nnCoeffName
static char * nnCoeffName(const coeffs r)
Definition ntupel.cc:574
nnDBTest
static BOOLEAN nnDBTest(number a, const char *f, const int l, const coeffs r)
Definition ntupel.cc:512
nnIsMOne
static BOOLEAN nnIsMOne(number a, const coeffs r)
Definition ntupel.cc:247
nnCopy
static number nnCopy(number a, const coeffs r)
Definition ntupel.cc:145
nnDiv
static number nnDiv(number a, number b, const coeffs r)
Definition ntupel.cc:260
nnAdd
static number nnAdd(number a, number b, const coeffs r)
Definition ntupel.cc:165
nnDelete
static void nnDelete(number *a, const coeffs r)
Definition ntupel.cc:590
nnInpNeg
static number nnInpNeg(number a, const coeffs r)
Definition ntupel.cc:311
nnWriteShort
static void nnWriteShort(number a, const coeffs r)
Definition ntupel.cc:362
nnEqual
static BOOLEAN nnEqual(number a, number b, const coeffs r)
Definition ntupel.cc:348
nnInit
static number nnInit(long l, const coeffs r)
Definition ntupel.cc:92
nnInt
static long nnInt(number &n, const coeffs r)
Definition ntupel.cc:114
nnMult
static number nnMult(number a, number b, const coeffs r)
Definition ntupel.cc:54
nnGreaterZero
static BOOLEAN nnGreaterZero(number k, const coeffs r)
Definition ntupel.cc:41
nnRead
static const char * nnRead(const char *s, number *a, const coeffs r)
Definition ntupel.cc:411
nnGreater
static BOOLEAN nnGreater(number a, number b, const coeffs r)
Definition ntupel.cc:330
nnSetMap
static nMapFunc nnSetMap(const coeffs, const coeffs)
Definition ntupel.cc:549
nnInvers
static number nnInvers(number a, const coeffs r)
Definition ntupel.cc:286
nnSub
static number nnSub(number a, number b, const coeffs r)
Definition ntupel.cc:200
nnCoeffWrite
static void nnCoeffWrite(const coeffs r, BOOLEAN b)
Definition ntupel.cc:27
nnIsOne
static BOOLEAN nnIsOne(number a, const coeffs r)
Definition ntupel.cc:234
nnSize
static int nnSize(number n, const coeffs r)
Definition ntupel.cc:127
nnChineseRemainder
static number nnChineseRemainder(number *, number *, int, BOOLEAN, CFArray &, const coeffs)
Definition ntupel.cc:609
nnInpAdd
static void nnInpAdd(number &a, number b, const coeffs r)
Definition ntupel.cc:186
nnWriteLong
static void nnWriteLong(number a, const coeffs r)
Definition ntupel.cc:376
nnInpMult
static void nnInpMult(number &a, number b, const coeffs r)
Definition ntupel.cc:75
nnCoeffString
static char * nnCoeffString(const coeffs r)
Definition ntupel.cc:554